# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_IntegerList Class Reference

Contains a list of integers.
.

`#include <TDataStd_IntegerList.hxx>`

Inheritance diagram for TDataStd_IntegerList:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_IntegerList ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Prepend (const Standard_Integer value)
Standard_EXPORT void | Append (const Standard_Integer value)
Standard_EXPORT Standard_Boolean | InsertBefore (const Standard_Integer value, const Standard_Integer before_value)
| Inserts the <value> before the first meet of <before_value>. .
Standard_EXPORT Standard_Boolean | InsertAfter (const Standard_Integer value, const Standard_Integer after_value)
| Inserts the <value> after the first meet of <after_value>. .
Standard_EXPORT Standard_Boolean | Remove (const Standard_Integer value)
| Removes the first meet of the <value>. .
Standard_EXPORT void | Clear ()
Standard_EXPORT Standard_Integer | First () const
Standard_EXPORT Standard_Integer | Last () const
Standard_EXPORT const TColStd_ListOfInteger & | List () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| Static methods ============== //! Returns the ID of the list of integer attribute. .
static Standard_EXPORT Handle_TDataStd_IntegerList | Set (const TDF_Label &label)
| Finds or creates a list of integer values attribute. .

## Private Attributes

TColStd_ListOfInteger | myList

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_IntegerList::TDataStd_IntegerList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_IntegerList::Append | ( | const Standard_Integer | value | ) |

Standard_EXPORT void TDataStd_IntegerList::Clear | ( |  | ) |

virtual Standard_EXPORT Standard_OStream& TDataStd_IntegerList::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Integer TDataStd_IntegerList::Extent | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_IntegerList::First | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_IntegerList::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_IntegerList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_IntegerList::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_IntegerList::InsertAfter | ( | const Standard_Integer | value,
|  | const Standard_Integer | after_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_IntegerList::InsertBefore | ( | const Standard_Integer | value,
|  | const Standard_Integer | before_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_IntegerList::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_IntegerList::Last | ( |  | ) | const

Standard_EXPORT const TColStd_ListOfInteger& TDataStd_IntegerList::List | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_IntegerList::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_IntegerList::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_IntegerList::Prepend | ( | const Standard_Integer | value | ) |

Standard_EXPORT Standard_Boolean TDataStd_IntegerList::Remove | ( | const Standard_Integer | value | ) |

Standard_EXPORT void TDataStd_IntegerList::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_IntegerList TDataStd_IntegerList::Set | ( | const TDF_Label & | label | ) | `[static]`

## Field Documentation

TColStd_ListOfInteger TDataStd_IntegerList::myList`[private]`

The documentation for this class was generated from the following file:

- TDataStd_IntegerList.hxx